• 로그인 함 해보끄나?

  • Sarangnamu.net June 17, 2003
    Home Login Profile Study Open Project Q&A Google Code
    android studio 3.0 migration
    Last Modify : 27 October, 2017(05:14)
    최신 버전을 이용하다가 android studio 3.0 으로 migraiton 하려는데 일단 build error 발생했다. 1. error message => Error:Resource shrinker cannot be used for libraries. ==> release 내에 있던 shrinkResources true 를 주석처리 함 2. warning message => Warning:One of the plugins you are using supports Java 8 language features. To try the support built into the Android plugin, remove the following from your build.gradle: apply plugin: 'me.tatarka.retrolambda' To learn more, go to https://d.android.com/r/tools/java-8-support-message.html 해당 링크로 가니 retrolamba migration 가이드가 존재 했고 이를 적용 했다. https://developer.android.com/studio/write/java8-support.html?utm_source=android-studio 3. dependencies 에 적용 방법이 변경된듯 하다. 예전에는 a 에 b 라이브러리를 등록한 뒤 c 에 a 를 사용시에 b 를 등록하지 않아도 동작하였으나 지금은 c 에 a, b 를 다 등록해줘야 컴파일(런타임) 오류가 나지 않는다. 마치 static build 하다가 dynamic build 한 느낌이랄까?

    Comment


    입력하3 1513257823



    Locations of visitors to this page